from django.contrib import admin
from django.contrib.gis.admin import GeoModelAdmin

from .models import *

@admin.register(Marker)
class MarkerAdmin(admin.ModelAdmin):
  list_display = ["timestamp", "location", "alt", "hdop", "speed"]

@admin.register(Trip)
class TripAdmin(admin.ModelAdmin):
  list_display = ["startTime", "endTime", "name", "description"]

@admin.register(CensoredLocation)
class CensoredLocationAdmin(GeoModelAdmin):
  list_display = ["location", "radius", "name"]
